Customer Support API
POST /services/customer-support/v1/customer-support/tickets/list Auth

List Support Tickets

Request Body

FieldTypeRequiredDescriptionExample
per_page integer|null
min: 1 max: 100
No
channel_slug string|null No
status string|null
new, open, pending, resolved, closed,
No
status_group string|null
open, resolved, snoozed,
No
priority string|null
low, normal, high, urgent,
No
origin string|null
email, form, dashboard, feedback, refund, system, whatsapp,
No
project_id integer|null No
assigned_to integer|null No
triage string|null
bounce, vendor, finance,
No
search_query string|null
max: 255
No

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Unauthenticated โ€” missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden โ€” insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests โ€” rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/list" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "per_page": "string",
    "channel_slug": "string",
    "status": "string",
    "status_group": "string",
    "priority": "string",
    "origin": "string",
    "project_id": "string",
    "assigned_to": "string",
    "triage": "string",
    "search_query": "string"
}'
fetch('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/list', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "per_page": "string",
    "channel_slug": "string",
    "status": "string",
    "status_group": "string",
    "priority": "string",
    "origin": "string",
    "project_id": "string",
    "assigned_to": "string",
    "triage": "string",
    "search_query": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/list', {
    "per_page": "string",
    "channel_slug": "string",
    "status": "string",
    "status_group": "string",
    "priority": "string",
    "origin": "string",
    "project_id": "string",
    "assigned_to": "string",
    "triage": "string",
    "search_query": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "per_page": "string",
    "channel_slug": "string",
    "status": "string",
    "status_group": "string",
    "priority": "string",
    "origin": "string",
    "project_id": "string",
    "assigned_to": "string",
    "triage": "string",
    "search_query": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/customer-support/v1/customer-support/tickets/list", headers=headers, json=data)
print(r.json())

Try It
Request Body Optional

Export